Retail Express API 2.1

Creates Purchase Order Receipt

Sample request:

POST /purchaseorderreceipts 
{ 
    "purchase_order_id": 1,
    "purchase_order_receipt_items": [ 
     { 
        "purchase_order_item_id": 3, 
        "stock_receipt_id": 1,
        "quantity_received": 3,
        "quantity_faulty": 1,
        "quantity_invoiced": 1,
        "buy_price_ex": 1.1,
        "unit_discount_ex": 1.1,
        "direct_costs_ex": 1.1,
        "bin": "bin",
        "include_tax": true,
        "variance_reason": {
            "id": 1,
            "name": "variance reason name"
        },
        "notes": "notes",
        "supplier_invoice_number": "sample invoice number"
    }]
}
post
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Purchase Order Receipt

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Purchase Order Receipt created

PurchaseOrderReceipts

Purchase order receipts model

* Additional properties are NOT allowed.
idinteger | null(int32)

Purchase order receipts identifier

purchase_order_idinteger | null(int32)

Purchase order identifier

purchase_order_receipt_itemsarray | null[object]

Purchase order receipt item

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoicesarray | null[object]

Purchase order receipt supplier invoices

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoice_numberstring | null

Supplier invoice number (max length = 50)

statusstring

Allowed values:AvailableIn ProgressFinalised

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring(date-time)

Modified On

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
made_available_onstring | null(date-time)

Made available on

made_available_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber | null(double)

Total buy price ex

total_products_receivedinteger | null(int32)

Total products received

total_quantity_receivedinteger | null(int64)

Total quantity received

total_quantity_expectedinteger | null(int64)

Total quantity expected

total_quantity_faultyinteger | null(int64)

Total quantity faulty

total_quantity_received_varianceinteger | null(int64)

Total quantity received variance

total_quantity_invoicedinteger | null(int64)

Total quantity invoiced

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

total_direct_costs_exnumber | null(double)

Total direct costs ex

total_cogs_exnumber | null(double)

Total cogs ex

total_cogs_incnumber | null(double)

Total cogs inc

post/purchaseorderreceipts

Body

{}
 
application/json

Searches Purchase Order Receipts

Searches Purchase Order Receipts

get
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, purchase_order_id, status, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, made_available_on, made_available_by_id, made_available_by_first_name, made_available_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, total_buy_price_ex, total_products_received, total_quantity_received, total_quantity_expected, total_quantity_faulty, total_quantity_received_variance, total_quantity_invoiced, total_tax, total_buy_price_inc, purchase_order_supplier, total_applied_buy_price_ex, total_direct_costs_ex, total_cogs_ex, total_cogs_inc.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, purchase_order_id, status, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, made_available_on, made_available_by_id, made_available_by_first_name, made_available_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, total_buy_price_ex, total_products_received, total_quantity_received, total_quantity_expected, total_quantity_faulty, total_quantity_received_variance, total_quantity_invoiced, total_tax, total_buy_price_inc, total_applied_buy_price_ex, total_direct_costs_ex, total_cogs_ex, total_cogs_inc.

Available direction values: asc, desc.

Example: id asc, status desc

include_itemsboolean

Include items

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Purchase Order Receipts data

PurchaseOrderReceipts.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Purchase order receipts model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/purchaseorderreceipts
 
application/json

Updates specific Purchase Order Receipt by id

Sample request:

PUT /purchaseorderreceipts/1
{
    "status": "Available"
}
put
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts/{id}

Path Parameters

idinteger(int32)required

Purchase Order Receipt id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Purchase Order Receipt model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Purchase Order Receipt was updated

PurchaseOrderReceipts

Purchase order receipts model

* Additional properties are NOT allowed.
idinteger | null(int32)

Purchase order receipts identifier

purchase_order_idinteger | null(int32)

Purchase order identifier

purchase_order_receipt_itemsarray | null[object]

Purchase order receipt item

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoicesarray | null[object]

Purchase order receipt supplier invoices

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoice_numberstring | null

Supplier invoice number (max length = 50)

statusstring

Allowed values:AvailableIn ProgressFinalised

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring(date-time)

Modified On

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
made_available_onstring | null(date-time)

Made available on

made_available_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber | null(double)

Total buy price ex

total_products_receivedinteger | null(int32)

Total products received

total_quantity_receivedinteger | null(int64)

Total quantity received

total_quantity_expectedinteger | null(int64)

Total quantity expected

total_quantity_faultyinteger | null(int64)

Total quantity faulty

total_quantity_received_varianceinteger | null(int64)

Total quantity received variance

total_quantity_invoicedinteger | null(int64)

Total quantity invoiced

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

total_direct_costs_exnumber | null(double)

Total direct costs ex

total_cogs_exnumber | null(double)

Total cogs ex

total_cogs_incnumber | null(double)

Total cogs inc

put/purchaseorderreceipts/{id}

Body

{}
 
application/json

Deletes specific Purchase Order Receipt by id

Deletes specific Purchase Order Receipt by id

delete
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts/{id}

Path Parameters

idinteger(int32)required

Purchase Order Receipt id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Purchase Order Receipt was deleted

delete/purchaseorderreceipts/{id}
 

Gets specific Purchase Order Receipt by unique id

Gets specific Purchase Order Receipt by unique id

get
https://api.retailexpress.com.au/v2.1/purchaseorderreceipts/{id}

Query Parameters

include_itemsboolean

Include items

Path Parameters

idinteger(int32)required

Purchase Order Receipt id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Purchase Order Receipt

PurchaseOrderReceipts

Purchase order receipts model

* Additional properties are NOT allowed.
idinteger | null(int32)

Purchase order receipts identifier

purchase_order_idinteger | null(int32)

Purchase order identifier

purchase_order_receipt_itemsarray | null[object]

Purchase order receipt item

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoicesarray | null[object]

Purchase order receipt supplier invoices

* Additional properties are NOT allowed.
Show Child Parameters
supplier_invoice_numberstring | null

Supplier invoice number (max length = 50)

statusstring

Allowed values:AvailableIn ProgressFinalised

created_onstring(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring(date-time)

Modified On

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
made_available_onstring | null(date-time)

Made available on

made_available_byobject
* Additional properties are NOT allowed.
Show Child Parameters
finalised_onstring | null(date-time)

Finalised on

finalised_byobject
* Additional properties are NOT allowed.
Show Child Parameters
total_buy_price_exnumber | null(double)

Total buy price ex

total_products_receivedinteger | null(int32)

Total products received

total_quantity_receivedinteger | null(int64)

Total quantity received

total_quantity_expectedinteger | null(int64)

Total quantity expected

total_quantity_faultyinteger | null(int64)

Total quantity faulty

total_quantity_received_varianceinteger | null(int64)

Total quantity received variance

total_quantity_invoicedinteger | null(int64)

Total quantity invoiced

total_taxnumber | null(double)

Total tax

total_buy_price_incnumber | null(double)

Total buy price inc

total_applied_buy_price_exnumber | null(double)

Total applied buy price ex

total_direct_costs_exnumber | null(double)

Total direct costs ex

total_cogs_exnumber | null(double)

Total cogs ex

total_cogs_incnumber | null(double)

Total cogs inc

get/purchaseorderreceipts/{id}
 
application/json